commit f8551d41c25de35bc6d71a7d6b3614b9203915b2
parent 7290d9ff15be146e7d32735d75c242cc12849fe1
Author: Christophe Coustet <christophe.coustet@meso-star.com>
Date: Thu, 30 Jul 2026 16:43:17 +0200
Add Release note pages to solstice
Diffstat:
10 files changed, 176 insertions(+), 8 deletions(-)
diff --git a/solstice/.gitignore b/solstice/.gitignore
@@ -3,3 +3,7 @@ solstice-downloads.md
solstice.md
Solstice-*-GNU-Linux64/
Solstice-PP-Sources-*/
+solstice-anim-release-notes.md
+solstice-pp-release-notes.md
+solstice-release-notes.md
+solstice-solver-release-notes.md
diff --git a/solstice/config.sh.in b/solstice/config.sh.in
@@ -1,5 +1,27 @@
-version="0.10"
+#!/bin/sh
-arch="downloads/Solstice-${version}-GNU-Linux64.tar.gz"
-directory="Solstice-${version}-GNU-Linux64"
-readme="${directory}/share/doc/solstice/README.md"
+solstice_version="0.10"
+
+solstice_dir="Solstice-${solstice_version}-GNU-Linux64"
+solstice_arch="downloads/${solstice_dir}.tar.gz"
+solstice_readme="${solstice_dir}/share/doc/solstice/README.md"
+solstice_solver_readme="${solstice_dir}/share/doc/solstice-solver/README.md"
+solstice_anim_readme="${solstice_dir}/share/doc/solstice-anim/README.md"
+solstice_pp_readme="${solstice_dir}/share/doc/solstice-pp/README.md"
+
+########################################################################
+# Helper function
+########################################################################
+release_notes() # readme_file
+{
+ cd ..
+
+ # Project name
+ sed -n '/^# /{p;q;}' "${OLDPWD}/$1"
+
+ # Extract and post-process the release notes
+ sed -n '/^## Release notes/,/^## License/p' "${OLDPWD}/$1" \
+ | sed -e '1d' -e '$d' -e 's/^#//'
+
+ cd "${OLDPWD}"
+}
diff --git a/solstice/config.sh.in.orig b/solstice/config.sh.in.orig
@@ -0,0 +1,31 @@
+<<<<<<< HEAD
+version="0.10"
+=======
+#!/bin/sh
+>>>>>>> 726802c (Add Release note pages to solstice)
+
+solstice_version="0.10"
+
+solstice_dir="Solstice-${solstice_version}-GNU-Linux64"
+solstice_arch="downloads/${solstice_dir}.tar.gz"
+solstice_readme="${solstice_dir}/share/doc/solstice/README.md"
+solstice_solver_readme="${solstice_dir}/share/doc/solstice-solver/README.md"
+solstice_anim_readme="${solstice_dir}/share/doc/solstice-anim/README.md"
+solstice_pp_readme="${solstice_dir}/share/doc/solstice-pp/README.md"
+
+########################################################################
+# Helper function
+########################################################################
+release_notes() # readme_file
+{
+ cd ..
+
+ # Project name
+ sed -n '/^# /{p;q;}' "${OLDPWD}/$1"
+
+ # Extract and post-process the release notes
+ sed -n '/^## Release notes/,/^## License/p' "${OLDPWD}/$1" \
+ | sed -e '1d' -e '$d' -e 's/^#//'
+
+ cd "${OLDPWD}"
+}
diff --git a/solstice/hooks/00-extract-archive.sh b/solstice/hooks/00-extract-archive.sh
@@ -21,8 +21,16 @@ set -e
. "./config.sh.in"
-if ! [ -d "${directory}/share/man" ] \
-|| ! [ -f "${readme}" ]; then
- >&2 printf 'Extracting %s\n' "${arch}"
- tar -xz -f "${arch}" "${directory}/share/man" "${readme}"
+if ! [ -d "${solstice_dir}/share/man" ] \
+|| ! [ -f "${solstice_readme}" ] \
+|| ! [ -f "${solstice_solver_readme}" ] \
+|| ! [ -f "${solstice_anim_readme}" ] \
+|| ! [ -f "${solstice_pp_readme}" ]; then
+ >&2 printf 'Extracting %s\n' "${solstice_arch}"
+ tar -xz -f "${solstice_arch}" \
+ "${solstice_dir}/share/man" \
+ "${solstice_readme}" \
+ "${solstice_solver_readme}" \
+ "${solstice_anim_readme}" \
+ "${solstice_pp_readme}"
fi
diff --git a/solstice/index.tsv b/solstice/index.tsv
@@ -1,4 +1,5 @@
Overview solstice.html
Manual pages solstice-docs.html
+Release notes release-notes.html
Additional resources solstice-resources.html
Git https://www.meso-star.com/git/solstice
diff --git a/solstice/release-notes.md b/solstice/release-notes.md
@@ -0,0 +1,6 @@
+# Release notes
+
+- [Solstice](solstice-release-notes.html)
+- [Solstice Solver](solstice-solver-release-notes.html)
+- [Solstice Anim](solstice-anim-release-notes.html)
+- [Solstice Post Process](solstice-pp-release-notes.html)
diff --git a/solstice/solstice-anim-release-notes.sh b/solstice/solstice-anim-release-notes.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# Copyright (C) 2017-2026 |Méso|Star> (contact@meso-star.com)
+#
+# This file is part of Méso-Web.
+#
+# Méso-Web is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# Méso-Web is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Méso-Web. If not, see <http://www.gnu.org/licenses/>.
+
+. "./config.sh.in"
+
+set -e
+
+release_notes "${solstice_anim_readme}"
diff --git a/solstice/solstice-pp-release-notes.sh b/solstice/solstice-pp-release-notes.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# Copyright (C) 2017-2026 |Méso|Star> (contact@meso-star.com)
+#
+# This file is part of Méso-Web.
+#
+# Méso-Web is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# Méso-Web is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Méso-Web. If not, see <http://www.gnu.org/licenses/>.
+
+. "./config.sh.in"
+
+set -e
+
+release_notes "${solstice_pp_readme}"
diff --git a/solstice/solstice-release-notes.sh b/solstice/solstice-release-notes.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# Copyright (C) 2017-2026 |Méso|Star> (contact@meso-star.com)
+#
+# This file is part of Méso-Web.
+#
+# Méso-Web is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# Méso-Web is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Méso-Web. If not, see <http://www.gnu.org/licenses/>.
+
+. "./config.sh.in"
+
+set -e
+
+release_notes "${solstice_readme}"
diff --git a/solstice/solstice-solver-release-notes.sh b/solstice/solstice-solver-release-notes.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# Copyright (C) 2017-2026 |Méso|Star> (contact@meso-star.com)
+#
+# This file is part of Méso-Web.
+#
+# Méso-Web is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# Méso-Web is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Méso-Web. If not, see <http://www.gnu.org/licenses/>.
+
+. "./config.sh.in"
+
+set -e
+
+release_notes "${solstice_solver_readme}"